Get User Data

/onetimeidentification/getdata

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This request can be called up to 2 hours after receiving the referenceID.

Get user data with onetime identification referenceID from Evrotrust Web SDK.

Parameters

ParameterValue
"includes"These parameters specify which user data to be returned in the response of the request. If a parameter is not requested, it will not be included in the response (even its key).
documentPictureReturns the piicture of the user from the document (cropped)
documentSignatureReturns cropped user's signature from the ID document where applicable (user signature specimen)
picFrontID document picture with MRZ code on it.
picBackID document picture second side. Applicable for 2-sided documents only
personPresenceValue in %. We check person presence and compare to the photo from the document.
liveness0 - The check has not been done
1 - Unsuccess
2 - Success
faceMatch1 - Unsuccess
2 - Success
docTypeIDcard / Passport
userGenderMale / Female
sourceUserData0 - Unknown
1 - Self-declared by user
2 - Read from document image
3 - Read from document MRZ code
4 - Read from document chip
5 - Received from registration authority
6 - Received from register

Body Params
string
required
string
required
includes
object

Set the required fields below to true, the rest to false:

"vendorNumber": "YOUR_VENDOR_NUMBER",
"referenceID": "",
"includes": {
"names": true,
"latinNames": true,
"identificationNumber": true,
"documentNumber": true,
"documentType": true,
"documentValidDate": true,
"documentIssuerName": true,
"documentIssueDate": true,
"documentCountry": true,
"address": true,
"dateOfBirth": true,
"placeOfBirth": true,
"nationality": true,
"gender": true,
"documentPicture": true,
"documentSignature": true,
"picFront": true,
"picBack": true,
"secretSelfie": true,
"secretVideo": true
}

Headers
string
required

Authorization value.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json